Page MenuHomePhabricator

Regression: Page Previews not using normalised title in requests
Closed, ResolvedPublic1 Story Points

Description

Symptom

See below.

Example(s)

Dwelling on the "Yorkshire Terrier" link on https://en.wikipedia.beta.wmflabs.org/wiki/Dog causes the following HTTP requests:

Cause

This regression was introduced in rEPOP35bf61396451: eventLogging: Add missing *Hover properties.

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : wmf/1.30.0-wmf.4actions/rest: Use DB-key version of title
mediawiki/extensions/Popups : masteractions/rest: Use DB-key version of title

Event Timeline

phuedx created this task.Jun 12 2017, 8:23 AM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJun 12 2017, 8:23 AM
Jhernandez triaged this task as High priority.Jun 12 2017, 9:18 AM

Change 358338 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] actions/rest: Use DB-key version of title

https://gerrit.wikimedia.org/r/358338

Jhernandez reassigned this task from Jhernandez to phuedx.
Jhernandez added a subscriber: Jhernandez.

Change 358338 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] actions/rest: Use DB-key version of title

https://gerrit.wikimedia.org/r/358338

Better! Dwelling on the link now causes the following HTTP request:

phuedx removed phuedx as the assignee of this task.Jun 12 2017, 11:10 AM

Today I noticed a significant latency regression for page previews, and @Pchelolo realized that this task might be the explanation. A large percentage of requests now get redirect responses, which increased overall latency significantly:

I can backport the fix and deploy it either this evening or tomorrow morning (BST) /cc @Jdlrobson

Jdlrobson claimed this task.EditedJun 12 2017, 5:30 PM

I'll sign off/swat today.

The patch can't be cleanly picked to wmf/1.30.0-wmf.4 (even if I do that manually and run npm run compile)
The change looks good, but @phuedx would you mind doing the SWATing?
I don't think I'm going to make it till 4pm today :(

phuedx claimed this task.Jun 13 2017, 8:21 AM

The patch can't be cleanly picked to wmf/1.30.0-wmf.4 (even if I do that manually and run npm run [build])
The change looks good, but @phuedx would you mind doing the SWATing?

Sure! Thanks for picking it up in the first place!

Change 358528 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@wmf/1.30.0-wmf.4] actions/rest: Use DB-key version of title

https://gerrit.wikimedia.org/r/358528

I've scheduled rEPOP31f75683342b: actions/rest: Use DB-key version of title to be deployed during today's European Mid-day SWAT deployment.

Change 358528 merged by jenkins-bot:
[mediawiki/extensions/Popups@wmf/1.30.0-wmf.4] actions/rest: Use DB-key version of title

https://gerrit.wikimedia.org/r/358528

Mentioned in SAL (#wikimedia-operations) [2017-06-13T13:13:40Z] <hashar@tin> Synchronized php-1.30.0-wmf.4/extensions/Popups: actions/rest: Use DB-key version of title - T167633 (duration: 00m 41s)

Latency is back to normal:

phuedx closed this task as Resolved.Jun 13 2017, 2:23 PM
phuedx set the point value for this task to 1.